package org.jerrymouse.gaes.mavenPlugin.mojos;

import org.jerrymouse.gaes.mavenPlugin.base.MojoBase;

/**
 * upload your project to google app engine
 * 
 * @goal deploy
 */
public class DeployMojo extends MojoBase {

	@Override
	protected void gaeExecute() {
		runAppCfgByClass("update", appDir, "--email=" + getGaeEmail(),
				"--passin");
	}

	@Override
	protected void normalExecute() {
		runMvnCommond("tomcat:redeploy");
	}

	@Override
	protected void hadoopExecute() {
		runMvnCommond("tomcat:redeploy");
	}

}
